---
tags: community
title: "Talk: Thinking in Stories: Component-First"
description: "Storybook and Ember make quality friends."
date: 2022-04-19
pinned: true
---

> In these thirty minutes I will live-code a newly generated component with a CSF story that powers its own automation testing and accessibility checks. We’ll leverage Tailwind UI to demonstrate how quickly a beautiful and accessible component can be adapted into Stories powered by Ember. We will build precisely one component for this talk; but in doing so we will deeply explore the mindset behind every intentional step that can re-imagine how components are built by teams to power the next generation of ambitious web applications with solid footing.

[![EmberConf 2022 Introducing Ava Wroten](/img/content/emberconf2022.png)](https://2022.emberconf.com/speakers/ava-wroten)

_[“Slides”, relevant URL’s used in presentation](https://www.notion.so/hergaiety/Thinking-in-Stories-Component-First-66c7c795e4864ed0a81fddbf777a6f86)_

## Talk given at:

[EmberConf 2022](https://2022.emberconf.com/)

